## org.mortbay.io.nio
Class SelectorManager.SelectSet

    java.lang.Object
      org.mortbay.io.nio.SelectorManager.SelectSet

Enclosing class:
  SelectorManager

    public class SelectorManager.SelectSet

extends Object

Method Summary
`void` `addChange(Object point)`
`void` `addChange(SocketChannel channel, Object att)`
`void` `cancelIdle(Timeout.Task task)`
`void` `doSelect()` Select and dispatch tasks found from changes and the selector.
`SelectorManager` `getManager()`
`long` `getNow()`
`void` `scheduleIdle(Timeout.Task task)`
`void` `scheduleTimeout(Timeout.Task task, long timeout)`
`void` `wakeup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addChange

    public void addChange(Object point)

### addChange

    public void addChange(SocketChannel channel,
                          Object att)

### cancelIdle

    public void cancelIdle(Timeout.Task task)

### doSelect

    public void doSelect()
                  throws IOException

  Select and dispatch tasks found from changes and the selector.

  Throws:
    `IOException`

### getManager

    public SelectorManager getManager()

### getNow

    public long getNow()

### scheduleIdle

    public void scheduleIdle(Timeout.Task task)

### scheduleTimeout

    public void scheduleTimeout(Timeout.Task task,
                                long timeout)

### wakeup

    public void wakeup()

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.